Package com.xebialabs.xlrelease.domain

## Class OriginTemplateData

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.ReleaseExtension
    - - com.xebialabs.xlrelease.domain.OriginTemplateData

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      public class OriginTemplateData
      extends ReleaseExtension

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OriginTemplateData()` |
    `OriginTemplateData​(java.lang.String originTemplateId, java.lang.String originTemplateTitle)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OriginTemplateData` | `apply​(java.lang.String releaseId, java.lang.String templateId, java.lang.String templateTitle)` |
    `java.lang.String` | `getOriginTemplateId()` |
    `java.lang.String` | `getOriginTemplateTitle()` |
    `static java.lang.String` | `ORIGIN_TEMPLATE_METADATA_PREFIX()` |
    `java.lang.String` | `originTemplateId()` |
    `void` | `originTemplateId_$eq​(java.lang.String x$1)` |
    `java.lang.String` | `originTemplateTitle()` |
    `void` | `originTemplateTitle_$eq​(java.lang.String x$1)` |
    `void` | `setOriginTemplateId​(java.lang.String x$1)` |
    `void` | `setOriginTemplateTitle​(java.lang.String x$1)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

      `accept, getVariableUsages`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OriginTemplateData

          public OriginTemplateData​(java.lang.String originTemplateId,
                                    java.lang.String originTemplateTitle)

    - #### OriginTemplateData

          public OriginTemplateData()

  - ### Method Detail

    - #### ORIGIN_TEMPLATE_METADATA_PREFIX

          public static java.lang.String ORIGIN_TEMPLATE_METADATA_PREFIX()

    - #### apply

          public static OriginTemplateData apply​(java.lang.String releaseId,
                                                 java.lang.String templateId,
                                                 java.lang.String templateTitle)

    - #### originTemplateId

          public java.lang.String originTemplateId()

    - #### originTemplateId_$eq

          public void originTemplateId_$eq​(java.lang.String x$1)

    - #### originTemplateTitle

          public java.lang.String originTemplateTitle()

    - #### originTemplateTitle_$eq

          public void originTemplateTitle_$eq​(java.lang.String x$1)

    - #### getOriginTemplateId

          public java.lang.String getOriginTemplateId()

    - #### getOriginTemplateTitle

          public java.lang.String getOriginTemplateTitle()

    - #### setOriginTemplateId

          public void setOriginTemplateId​(java.lang.String x$1)

    - #### setOriginTemplateTitle

          public void setOriginTemplateTitle​(java.lang.String x$1)